=== packages/PKGBUILD ===
# Contributor: ice-man <icemanf@gmail.com>
pkgname=aircrack-ng
pkgver=1.0-beta2
pkgrel="1" 
pkgdesc="aircrack is an 802.11 WEP and WPA-PSK keys cracking program that can recover this keys once enough encrypted packets have been captured."
source=(http://download.aircrack-ng.org/$pkgname-$pkgver.tar.gz)
url="http://www.aircrack-ng.org/doku.php"
license="GPL"

build() {
      cd $startdir/src/$pkgname-$pkgver
      make
      make prefix=/usr docdir="/usr/share/doc/$pkgname-$pkgver" destdir="$startdir/pkg/" install
}
